Vraag appmenu op Xubuntu 12.10


Is er iemand die er met succes een heeft weten te gebruiken? appmenu (wat eens werd genoemd Wereldwijd menu in Gnome 2.x) op Xubuntu 12.10?

enter image description here

Alvorens te antwoorden merk ik op dat ik geprobeerd heb met xfapplet (wat niet langer beschikbaar is op 12.10) en met dit pakket XFCE appmenu, dat afhangt van de oude libindicator6 (op 12.10 staat libindicator7).


2
2018-01-07 14:28


oorsprong


Wat bedoel je met "appmenu"? Je hebt Xfce's Applications Menu en xfce4-whiskermenu. Ben je op zoek naar iets anders? - landroni
Ik was. Appmenu is het Ubuntu "antwoord" op wat ooit werd genoemd Wereldwijd menu in Gnome 2.x. Maar het doet er niet meer toe, deze vraag is voor mij overbodig, omdat het gaat om een ​​distro die binnenkort zal worden stopgezet. - dadexix86
Ik ben nog steeds niet duidelijk over wat dit appmenu doet. Kunt u een link in de oorspronkelijke vraag opgeven? - landroni
Ik heb de vorige opmerking aangepast :) - dadexix86
OK bedankt. Ik heb de oorspronkelijke vraag enigszins verbeterd. Ik ben zelf geïnteresseerd in hoe dit in Xfce kan worden bereikt, maar ik kan me niet herinneren dat ik over een oplossing heb gelezen. (Misschien xfce4-indicator?) - landroni


antwoorden:


Omdat dit pakket al beschikbaar is in de ppa: the-warl0ck-1989 / xfce-appmenu-plugin, je kunt als volgt verder gaan:

  1. Maak een persoonlijke PPA met uw Launchpad-account.
  2. Ga naar ppa: the-warl0ck-1989 / xfce-appmenu-plugin en toegang View package details > Copy packages.
  3. Selecteer het gewenste pakket (bijvoorbeeld, voor Precise) en kopieer het naar uw persoonlijke PPA. Verandering Destination series naar wat je nodig hebt (hier, 12.10 of Quantal). Verzekeren dat Rebuild the copied sources is geselecteerd, waardoor de binaire bestanden kunnen worden gebouwd met behulp van de beschikbare bibliotheken op de gekozen distro.
  4. Klik Copy Packages.

Deze instructies zijn generiek en werken voor elk pakket dat al beschikbaar is op een Launchpad PPA en voor elke distributie die momenteel wordt ondersteund door Launchpad. Ze kunnen mislukken, vooral als de gekozen distributie geen benodigde bibliotheek of een specifieke versie van een bibliotheek biedt.

Maar het lijkt in dit geval te werken. Voor het bewijs van punt, bekijk de xfce4-appmenu-plugin waar ik naar heb gekopieerd mijn test-PPA. (Negeer dat het version string bevat 0.10-0~2~precise1: het pakket is gebouwd tegen Quantal, omdat je kunt inchecken View package details in de Series kolom.)


0
2018-01-13 19:14